Subject: RE: [lojban] goi

From: "And Rosta" <[email-masked]>
Date: Thu, 19 Jul 2001 00:41:01 +0100

John:
> And Rosta wrote:
> 
> > 1. The Refgram, pp150-151 exx 5.2-3 explicitly says that
> > "la alis goi ko'a" and "ko'a goi la alis", both in sentences
> > where the referent of "la alis" has already been established,
> > are equivalent. I think this is mistake. The function of
> > {goi} should be to assign the referent of one (referential)
> > sumti (which should be the first one) to another sumti (which
> > should be the second one).
> 
> 
> Rather, goi asserts that its two sides have the same referent,
> (a la Prolog unification):

Right. but I think this is a Bad Idea. There is a need for
a GOI that assigns reference, while the "goi" you describe is
identical to "no'u".

> o 
> If just one is undefined, it is bound to be the same
> as the other.
> 
> o 
> If both are defined contradictorily, then it is
> nonsense.
> 
> o 
> If both are already defined to be the same thing,
> then it is nugatory.
> 
> o 
> If neither is defined, then if either should become
> defined in future, the other is also defined.

This is the problem. With "ko'a goi la alis" and "la alis
goi ko'a" if neither have explicitly been defined previously
then you have absolutely no idea which is referential (with
referent to be glorked from context) and which gets its
referent from the other. That is, do I, the hearer, think
"Now who is 'la alis' likely to refer to?", or do I take
"la alis" as being used to label the certain something that
"ko'a" refers to?

> > while the textbook's "ko'a goi la alis" ought to be "ko'a
> > no'u la alis".
> 
> By "ought to be" do you mean "ought to be expressed as"
> or "ought to mean the same as"?

"ought to be expressed as"

> > 2. Jorge tells me that (or so I understood), {da goi la ab
> > da goi la ac} is equivalent to {da xi pa goi la ab da xi
> > re goi la ac}, i.e. because it assigns its value to the
> > goi sumti, it is bound by a different quantifier (that is,
> > it is a different variable). This seems reasonable enough,
> > but I'd like to confirm that I understood correctly.
> 
> That doesn't sound right to me. I think that da, la .ab., and
> la .ac. all end up referencing the same thing, which is not
> further qualified. (I assume that la .ab. and la .ac. have
> not been heard of before.)

OK. I suspected as much.

--And.